Package com.xebialabs.xlrelease.domain

# Class TaskDefinition

java.lang.Object
com.xebialabs.xlrelease.domain.TaskDefinition

Direct Known Subclasses:
  `TaskWithPropertiesDefinition`

public class TaskDefinition extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `allowed`
  `protected boolean`
  `containerTask`
  `protected String`
  `description`
  `protected String`
  `displayGroup`
  `protected String`
  `displayName`
  `protected String`
  `documentationPage`
  `protected String`
  `iconLocation`
  `protected boolean`
  `supportedInWorkflow`
  `protected String`
  `typeName`
  `static final String`
  `XEBIALABS_GROUP`
  `static final String`
  `XLRELEASE_GROUP`
  `static final String`
  `XLRELEASE_GROUP_REPLACEMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskDefinition(Type type, boolean allowed)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `String`
  `getDisplayGroup()`
  `static String`
  `getDisplayGroup(Type type)`
  `String`
  `getDisplayName()`
  `static String`
  `getDisplayName(Type type)`
  `String`
  `getDocumentationPage()`
  `static String`
  `getDocumentationPage(Descriptor descriptor)`
  `String`
  `getIconLocation()`
  `static String`
  `getIconLocation(Descriptor descriptor)`
  `protected static String`
  `getPrefix(Type type)`
  `static boolean`
  `getSupportedInWorkflow(Type type)`
  `String`
  `getTypeName()`
  `boolean`
  `isAllowed()`
  `boolean`
  `isContainerTaskDefinition()`
  `protected static boolean`
  `isCore(String prefix)`
  `boolean`
  `isSupportedInWorkflow()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### XLRELEASE_GROUP_REPLACEMENT

    public static final String XLRELEASE_GROUP_REPLACEMENT
    See Also:
      - Constant Field Values

  - ### XLRELEASE_GROUP

    public static final String XLRELEASE_GROUP
    See Also:
      - Constant Field Values

  - ### XEBIALABS_GROUP

    public static final String XEBIALABS_GROUP
    See Also:
      - Constant Field Values

  - ### typeName

    protected String typeName

  - ### displayGroup

    protected String displayGroup

  - ### displayName

    protected String displayName

  - ### description

    protected String description

  - ### iconLocation

    protected String iconLocation

  - ### documentationPage

    protected String documentationPage

  - ### allowed

    protected boolean allowed

  - ### supportedInWorkflow

    protected boolean supportedInWorkflow

  - ### containerTask

    protected boolean containerTask

- ## Constructor Details

  - ### TaskDefinition

    public TaskDefinition(Type type, boolean allowed)

- ## Method Details

  - ### getDisplayGroup

    public static String getDisplayGroup(Type type)

  - ### getDisplayName

    public static String getDisplayName(Type type)

  - ### getSupportedInWorkflow

    public static boolean getSupportedInWorkflow(Type type)

  - ### getIconLocation

    public static String getIconLocation(Descriptor descriptor)

  - ### getDocumentationPage

    public static String getDocumentationPage(Descriptor descriptor)

  - ### getTypeName

    public String getTypeName()

  - ### getDisplayGroup

    public String getDisplayGroup()

  - ### getDisplayName

    public String getDisplayName()

  - ### getDescription

    public String getDescription()

  - ### getIconLocation

    public String getIconLocation()

  - ### getDocumentationPage

    public String getDocumentationPage()

  - ### isAllowed

    public boolean isAllowed()

  - ### isSupportedInWorkflow

    public boolean isSupportedInWorkflow()

  - ### isContainerTaskDefinition

    public boolean isContainerTaskDefinition()

  - ### getPrefix

    protected static String getPrefix(Type type)

  - ### isCore

    protected static boolean isCore(String prefix)